Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.input
Class KeyBoardCamControls

    java.lang.Object
      de.rico.engine.input.KeyBoardCamControls

    public class KeyBoardCamControls

extends java.lang.Object

This class represents an input controls scheme which moves the camera by keyboard keys only. The mouse movement isn't used for moving the camera.
The key settings are:

- W - cam move forward
- S - cam move backward
- A - cam strafe left
- D - cam strafe right
- Q - cam move down
- E - cam move up
- Left arrow - cam rotate left
- Right arrow - cam rotate right
- Up arrow - cam rotate up
- Down arrow - cam rotate down

Author:
  Frank Bruns

Constructor Summary
`KeyBoardCamControls(InputManager im)` Creates a new first person control scheme

Method Summary
`float` | `getSpeedMove()` Returns the value for movement speed.
`float` | `getSpeedRotate()` Returns the value for rotation speed.
`void` | `setSpeedMove(float speed)` Sets a value for the movement speed.
`void` | `setSpeedRotate(float speed)` Sets a value for the rotation speed.
`void` | `update(long elapsedTime)` Updates the first person control movements

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyBoardCamControls

    public KeyBoardCamControls(InputManager im)

  Creates a new first person control scheme

  Parameters:
    `im` - the input of the game

Method Detail

### setSpeedMove

    public void setSpeedMove(float speed)

  Sets a value for the movement speed.

  Parameters:
    `speed` - movement speed

### getSpeedMove

    public float getSpeedMove()

  Returns the value for movement speed.

  Returns:
    movement speed

### setSpeedRotate

    public void setSpeedRotate(float speed)

  Sets a value for the rotation speed.

  Parameters:
    `speed` - rotation speed

### getSpeedRotate

    public float getSpeedRotate()

  Returns the value for rotation speed.

  Returns:
    rotation speed

### update

    public void update(long elapsedTime)

  Updates the first person control movements

  Parameters:
    `elapsedTime` - time between two frames

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD